List the ids of matching invoices
GET
/invoices/ids
const url = 'https://example.com/invoices/ids?customerId=019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f&orderId=019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f&status=sent&overdue=true';const options = { method: 'GET', headers: {cookie: '__Host-bottle.session_token=<__Host-bottle.session_token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/invoices/ids?customerId=019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f&orderId=019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f&status=sent&overdue=true' \ --cookie __Host-bottle.session_token=<__Host-bottle.session_token>Every match for the same filters as GET /invoices, in the same order, up to 500, with the full count: for selecting all of them across pages.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”q
string
customerId
UUID v7
string format: uuid
Example
019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8fUUID v7
orderId
UUID v7
string format: uuid
Example
019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8fUUID v7
status
string
overdue
string
Responses
Section titled “Responses”Ids
Media typeapplication/json
object
ids
required
Array<string>
total
required
integer
Example
{ "ids": [ "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f" ]}Not signed in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not a member, or without the permission this needs
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
Media typeapplication/json
object
error
required
string
message
required
string
issues
required
Array<object>
object
path
required
string
message
required
string
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}